## lablgtk-extras 1.0

=== Makefile ===
#################################################################################
#                Lablgtk-extras                                                 #
#                                                                               #
#    Copyright (C) 2011 Institut National de Recherche en Informatique          #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#                                                                               #
#################################################################################


include master.Makefile

# Compilation
#############

all: src srcdoc

src: dummy
	cd src && $(MAKE) all

re : depend clean all


# Documentation :
#################
srcdoc: dummy
	cd src && $(MAKE) doc

# myself

master.Makefile src/version.ml src/install.ml: \
	master.Makefile.in src/version.ml.in src/install.ml.in config.status
	./config.status

config.status: configure master.Makefile.in src/version.ml.in src/install.ml.in
	./config.status --recheck

configure: configure.ac
	autoconf

# headers :
###########
HEADFILES= configure.ac configure \
	master.Makefile.in Makefile \
	src/*.ml src/*.mli src/*.in \
	examples/*.ml \
	src/Makefile checkocaml.ml
headers: dummy
	echo $(HEADFILES)
	headache -h header -c .headache_config `ls $(HEADFILES) `

noheaders: dummy
	headache -r -c .headache_config `ls $(HEADFILES) `

# backup, clean and depend :
############################

distclean: clean
	cd src && $(MAKE) distclean
	$(RM) autom4te.cache
	$(RM) config.cache config.log config.status master.Makefile
	$(RM) configure.lineno config_check.log ocaml_config.sh

clean: dummy
	$(RM) *~ \#*\#
	cd src && $(MAKE) clean

depend: dummy
	cd src && $(MAKE) depend
alldepend: dummy
	cd src && $(MAKE) alldepend

dummy:

#################
# installation
#################

install: dummy
	cd src && $(MAKE) install

# Distribution
###############
archive: dummy
	git archive --prefix=lablgtkextras-$(VERSION)/ HEAD | gzip > /tmp/lablgtkextras-$(VERSION).tar.gz

###########################
# additional dependencies
###########################

# DO NOT DELETE

=== src/Makefile ===
#################################################################################
#                Lablgtk-extras                                                 #
#                                                                               #
#    Copyright (C) 2011 Institut National de Recherche en Informatique          #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#                                                                               #
#################################################################################

include ../master.Makefile

MY_INCLUDES=
SYSTEM_INCLUDES= $(LABLGTK2_INCLUDES)

INCLUDES=$(MY_INCLUDES) $(SYSTEM_INCLUDES)

LIBS=lablgtk.cmxa lablglade.cmxa
LIBS_BYTE=$(LIBS:.cmxa=.cma)

COMPFLAGS=$(INCLUDES) -annot -g -warn-error A

GELIB_CMOFILES= \
	version.cmo \
	install.cmo \
	gstuff.cmo \
	okey.cmo \
	gdir.cmo \
	gmylist.cmo \
	gmytree.cmo \
	gtksv_utils.cmo

GELIB_CMXFILES=$(GELIB_CMOFILES:.cmo=.cmx)
GELIB_CMIFILES=$(GELIB_CMOFILES:.cmo=.cmi)

CWLIB_CMOFILES=configwin_keys.cmo \
        configwin_types.cmo \
        configwin_messages.cmo \
        configwin_ihm.cmo \
        configwin.cmo
CWLIB_CMIFILES=$(CWLIB_CMOFILES:.cmo=.cmi)
CWLIB_CMXFILES=$(CWLIB_CMOFILES:.cmo=.cmx)

all: byte opt
opt: $(GELIB) $(CWLIB)
byte:  $(GELIB_BYTE) $(CWLIB_BYTE)

TOOLS=
TOOLS_BYTE=

# lablgtkextras
$(GELIB): $(GELIB_CMIFILES) $(GELIB_CMXFILES)
	$(OCAMLOPT) -a -o $@ $(GELIB_CMXFILES)

$(GELIB_BYTE): $(GELIB_CMIFILES) $(GELIB_CMOFILES)
	$(OCAMLC) -a -o $@ $(GELIB_CMOFILES)

# configwin
$(CWLIB): $(CWLIB_CMIFILES) $(CWLIB_CMXFILES)
	$(OCAMLOPT) -a -o $@ $(CWLIB_CMXFILES)

$(CWLIB_BYTE): $(CWLIB_CMIFILES) $(CWLIB_CMOFILES)
	$(OCAMLC) -a -o $@ $(CWLIB_CMOFILES)

#client: $(GELIB) client.ml
#	$(OCAMLOPT) -o $@ $(INCLUDES) lablgtk.cmxa lablgnomecanvas.cmxa $^

doc:
	$(RM) ocamldoc
	mkdir -p ocamldoc
	ocamldoc -sort -d ocamldoc -html  -t "Lablgtk-extras" \
	$(INCLUDES) $(GELIB_CMIFILES:.cmi=.mli) \
	$(CWLIB:.cmxa=.mli) configwin_keys.ml
#	$(CP) ocamldoc_style.css ocamldoc/style.css

camlget:
	$(RM) ocamldoc
	mkdir -p ocamldoc
	ocamldoc -sort -d ocamldoc -t "Lablgtk-extras" \
	-g odoc_htmlcg.cmo $(INCLUDES) \
	$(GELIB_CMIFILES:.cmi=.mli) $(CWLIB:.cmxa=.mli) configwin_keys.ml
	$(CP) camlget.png ocamldoc/
#	$(CP) ocamldoc_style.css ocamldoc/style.css

dummy:

install:
	$(MKDIR) $(BINDIR) $(LIBDIR) $(DATADIR)
	$(CP) $(GELIB) $(GELIB_BYTE) $(GELIB:.cmxa=.a) $(GELIB_CMIFILES) \
	$(GELIB_CMOFILES) $(GELIB_CMXFILES) \
	$(GELIB_CMXFILES:.cmx=.o) $(GELIB_CMIFILES:.cmi=.mli) $(LIBDIR)/
	$(CP) $(CWLIB) $(CWLIB_BYTE) $(CWLIB:.cmxa=.a) $(CWLIB:.cmxa=.cmi) $(CWLIB:.cmxa=.mli) $(LIBDIR)/

#	$(CP) gtk/ge.glade $(DATADIR)/
#	$(CP) $(TOOLS) $(TOOLS_BYTE) $(BINDIR)/

#	$(GELIB_BYTE:.cma=.cmi) $(GELIB_BYTE:.cma=.mli)


# Clean :
#########
clean:
	$(RM) $(GENERATED_FILES) *.cm* *.so *.a *.o *.annot

distclean: clean

# depend :
##########
GENERATED_FILES=
.depend depend: $(GENERATED_FILES)
	$(RM) .depend
	$(OCAMLDEP) $(OCAMLPP) *.ml *.mli > .depend

=== debian/changelog ===
lablgtk-extras (1.0-1build2) precise; urgency=low

  * Rebuild with ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 12:57:13 +0000

lablgtk-extras (1.0-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 13:26:21 +0000

lablgtk-extras (1.0-1) unstable; urgency=low

  * Initial release (Closes: #635586)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Sep 2011 17:24:41 +0200

=== debian/control ===
Source: lablgtk-extras
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9),
 liblablgtk2-ocaml-dev,
 liblablgtksourceview2-ocaml-dev,
 libconfig-file-ocaml-dev,
 libxml-light-ocaml-dev,
 camlp4,
 ocaml-nox
Standards-Version: 3.9.2
Section: ocaml
Homepage: http://gtk-extras.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lablgtk-extras.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lablgtk-extras.git

Package: liblablgtk-extras-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: collection of modules for OCaml/LablGtk2 applications
 Lablgtk-extras is a collection of libraries and modules useful when
 developing OCaml/LablGtk2 applications. Most of the libraries come
 from Cameleon2:
  * Configwin: a library to easily create input dialog boxes,
  * Okey: a module to add handlers for key press events,
  * Gtksv_utils: a module to share configuration of colors, fonts,
    ..., between applications using LablGtkSourceView, with functions
    and boxes to make the user edit configuration of languages and
    source views.

Package: liblablgtk-extras-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: collection of modules for OCaml/LablGtk2 applications (documentation)
 Lablgtk-extras is a collection of libraries and modules useful when
 developing OCaml/LablGtk2 applications. Most of the libraries come
 from Cameleon2:
  * Configwin: a library to easily create input dialog boxes,
  * Okey: a module to add handlers for key press events,
  * Gtksv_utils: a module to share configuration of colors, fonts,
    ..., between applications using LablGtkSourceView, with functions
    and boxes to make the user edit configuration of languages and
    source views.
 .
 This package contains the ocamldoc-generated documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) MY_INCLUDES="-I +config-file -I +xml-light"

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	rmdir debian/tmp/usr/bin
	rmdir debian/tmp/usr/share/lablgtk-extras
	mkdir -p debian/tmp/usr/share/doc/liblablgtk-extras-ocaml-dev/html
	cp -a src/ocamldoc debian/tmp/usr/share/doc/liblablgtk-extras-ocaml-dev/html/api

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/install.ml src/version.ml src/ocamldoc

## lablgtk-extras 1.4

=== Makefile ===
--- 
+++ 
@@ -45,11 +45,11 @@
 
 # myself
 
-master.Makefile src/version.ml src/install.ml: \
-	master.Makefile.in src/version.ml.in src/install.ml.in config.status
+master.Makefile src/gtke_version.ml src/gtke_install.ml: \
+	master.Makefile.in src/gtke_version.ml.in src/gtke_install.ml.in config.status
 	./config.status
 
-config.status: configure master.Makefile.in src/version.ml.in src/install.ml.in
+config.status: configure master.Makefile.in src/gtke_version.ml.in src/gtke_install.ml.in
 	./config.status --recheck
 
 configure: configure.ac
@@ -96,6 +96,9 @@
 install: dummy
 	cd src && $(MAKE) install
 
+uninstall: dummy
+	cd src && $(MAKE) uninstall
+
 # Distribution
 ###############
 archive: dummy

=== src/Makefile ===
--- 
+++ 
@@ -26,19 +26,14 @@
 
 include ../master.Makefile
 
-MY_INCLUDES=
-SYSTEM_INCLUDES= $(LABLGTK2_INCLUDES)
+PACKAGES=config-file,lablgtk2.sourceview2,xmlm
+OF_FLAGS= -package $(PACKAGES)
 
-INCLUDES=$(MY_INCLUDES) $(SYSTEM_INCLUDES)
-
-LIBS=lablgtk.cmxa lablglade.cmxa
-LIBS_BYTE=$(LIBS:.cmxa=.cma)
-
-COMPFLAGS=$(INCLUDES) -annot -g -warn-error A
+COMPFLAGS=-annot -g -warn-error A
 
 GELIB_CMOFILES= \
-	version.cmo \
-	install.cmo \
+	gtke_version.cmo \
+	gtke_install.cmo \
 	gstuff.cmo \
 	okey.cmo \
 	gdir.cmo \
@@ -66,17 +61,17 @@
 
 # lablgtkextras
 $(GELIB): $(GELIB_CMIFILES) $(GELIB_CMXFILES)
-	$(OCAMLOPT) -a -o $@ $(GELIB_CMXFILES)
+	$(OCAMLFIND) ocamlopt $(OF_FLAGS) -a -o $@ $(GELIB_CMXFILES)
 
 $(GELIB_BYTE): $(GELIB_CMIFILES) $(GELIB_CMOFILES)
-	$(OCAMLC) -a -o $@ $(GELIB_CMOFILES)
+	$(OCAMLFIND) ocamlc $(OF_FLAGS) -a -o $@ $(GELIB_CMOFILES)
 
 # configwin
 $(CWLIB): $(CWLIB_CMIFILES) $(CWLIB_CMXFILES)
-	$(OCAMLOPT) -a -o $@ $(CWLIB_CMXFILES)
+	$(OCAMLFIND) ocamlopt $(OF_FLAGS) -a -o $@ $(CWLIB_CMXFILES)
 
 $(CWLIB_BYTE): $(CWLIB_CMIFILES) $(CWLIB_CMOFILES)
-	$(OCAMLC) -a -o $@ $(CWLIB_CMOFILES)
+	$(OCAMLFIND) ocamlc $(OF_FLAGS) -a -o $@ $(CWLIB_CMOFILES)
 
 #client: $(GELIB) client.ml
 #	$(OCAMLOPT) -o $@ $(INCLUDES) lablgtk.cmxa lablgnomecanvas.cmxa $^
@@ -84,7 +79,7 @@
 doc:
 	$(RM) ocamldoc
 	mkdir -p ocamldoc
-	ocamldoc -sort -d ocamldoc -html  -t "Lablgtk-extras" \
+	$(OCAMLFIND) ocamldoc -verbose $(OF_FLAGS) -sort -d ocamldoc -html  -t "Lablgtk-extras" \
 	$(INCLUDES) $(GELIB_CMIFILES:.cmi=.mli) \
 	$(CWLIB:.cmxa=.mli) configwin_keys.ml
 #	$(CP) ocamldoc_style.css ocamldoc/style.css
@@ -92,7 +87,7 @@
 camlget:
 	$(RM) ocamldoc
 	mkdir -p ocamldoc
-	ocamldoc -sort -d ocamldoc -t "Lablgtk-extras" \
+	$(OCAMLFIND) ocamldoc $(OF_FLAGS) -sort -d ocamldoc -t "Lablgtk-extras" \
 	-g odoc_htmlcg.cmo $(INCLUDES) \
 	$(GELIB_CMIFILES:.cmi=.mli) $(CWLIB:.cmxa=.mli) configwin_keys.ml
 	$(CP) camlget.png ocamldoc/
@@ -101,17 +96,14 @@
 dummy:
 
 install:
-	$(MKDIR) $(BINDIR) $(LIBDIR) $(DATADIR)
-	$(CP) $(GELIB) $(GELIB_BYTE) $(GELIB:.cmxa=.a) $(GELIB_CMIFILES) \
-	$(GELIB_CMOFILES) $(GELIB_CMXFILES) \
-	$(GELIB_CMXFILES:.cmx=.o) $(GELIB_CMIFILES:.cmi=.mli) $(LIBDIR)/
-	$(CP) $(CWLIB) $(CWLIB_BYTE) $(CWLIB:.cmxa=.a) $(CWLIB:.cmxa=.cmi) $(CWLIB:.cmxa=.mli) $(LIBDIR)/
+	@$(OCAMLFIND) install $(PACKAGE_NAME) META \
+	  $(GELIB) $(GELIB_BYTE) $(GELIB:.cmxa=.a) $(GELIB_CMIFILES) \
+	  $(GELIB_CMOFILES) $(GELIB_CMXFILES) \
+	  $(GELIB_CMXFILES:.cmx=.o) $(GELIB_CMIFILES:.cmi=.mli) \
+	  $(CWLIB) $(CWLIB_BYTE) $(CWLIB:.cmxa=.a) $(CWLIB:.cmxa=.cmi) $(CWLIB:.cmxa=.mli)
 
-#	$(CP) gtk/ge.glade $(DATADIR)/
-#	$(CP) $(TOOLS) $(TOOLS_BYTE) $(BINDIR)/
-
-#	$(GELIB_BYTE:.cma=.cmi) $(GELIB_BYTE:.cma=.mli)
-
+uninstall:
+	@$(OCAMLFIND) remove $(PACKAGE_NAME)
 
 # Clean :
 #########

=== debian/changelog ===
lablgtk-extras (1.4-2) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Team upload.
  * Fix FTBFS on bytecode architectures.
    + 0001-Fix-FTBFS-on-bytecode-architectures.patch

  [ Stéphane Glondu ]
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 10 Dec 2013 06:20:17 +0100

lablgtk-extras (1.4-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 17 Nov 2013 10:55:52 +0100

lablgtk-extras (1.3-1) experimental; urgency=low

  * New upstream release
  * Compile with OCaml >= 4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 14:40:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Build-Depends:
  debhelper (>= 8),
  dh-ocaml (>= 0.9),
- liblablgtk2-ocaml-dev,
+ liblablgtk2-ocaml-dev (>= 2.16.0+dfsg-1~exp3),
  liblablgtksourceview2-ocaml-dev,
  libconfig-file-ocaml-dev,
- libxml-light-ocaml-dev,
+ libxmlm-ocaml-dev,
  camlp4,
- ocaml-nox
+ ocaml-findlib (>= 1.4),
+ ocaml-nox (>= 4)
 Standards-Version: 3.9.2
 Section: ocaml
 Homepage: http://gtk-extras.forge.ocamlcore.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lablgtk-extras.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lablgtk-extras.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lablgtk-extras.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lablgtk-extras.git
 
 Package: liblablgtk-extras-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=213 .*/lablgtkextras-(.*)\.tar\.gz
# Upstream (git) repository:
#   http://forge.ocamlcore.org/anonscm/git/gtk-extras/gtk-extras.git
#   http://forge.ocamlcore.org/scm/browser.php?group_id=213

## lablgtk-extras 1.5

=== examples/Makefile ===
include ../master.Makefile

EXAMPLES=configwin_example.x configwin_example2.x okey_example.x

all: $(EXAMPLES)

clean:
	rm -f *.cm*
	rm $(EXAMPLES)

.SUFFIXES: .ml .x
%.x: %.ml
	$(OCAMLFIND) ocamlc -package lablgtk2-extras.configwin -linkpkg -o $@ $<

=== src/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 PACKAGES=config-file,lablgtk2.sourceview2,xmlm
 OF_FLAGS= -package $(PACKAGES)
 
-COMPFLAGS=-annot -g -warn-error A
+COMPFLAGS=-annot -g -warn-error A-3
 
 GELIB_CMOFILES= \
 	gtke_version.cmo \

=== debian/changelog ===
lablgtk-extras (1.5-1build3) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:21:30 +0200

lablgtk-extras (1.5-1build2) artful; urgency=high

  * No change rebuild against new findlib.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Jul 2017 09:44:53 +0100

lablgtk-extras (1.5-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 14:52:12 +0100

lablgtk-extras (1.5-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Oct 2015 10:28:03 +0200

lablgtk-extras (1.4-3) unstable; urgency=medium

  * Remove obsolete and superfluous META file from
    $STDLIB/lablgtk-extras. Everything is in lablgtk2-extras, now.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Feb 2014 10:42:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: lablgtk-extras
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 8),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	dh_auto_install
	mkdir -p debian/tmp/usr/share/doc/liblablgtk-extras-ocaml-dev/html
	cp -a src/ocamldoc debian/tmp/usr/share/doc/liblablgtk-extras-ocaml-dev/html/api

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	if [ -x config.status ]; then dh_auto_clean; fi

## lablgtk-extras 1.6

=== src/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 PACKAGES=config-file,lablgtk2.sourceview2,xmlm
 OF_FLAGS= -package $(PACKAGES)
 
-COMPFLAGS=-annot -g -warn-error A-3
+COMPFLAGS=-annot -g -warn-error +1..49-3
 
 GELIB_CMOFILES= \
 	gtke_version.cmo \

=== debian/changelog ===
lablgtk-extras (1.6-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Do not treat warning 6 (labels-omitted) as error
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Set field Upstream-Name in debian/copyright
  * Set upstream metadata fields
  * liblablgtk-extras-ocaml-doc: Add Multi-Arch: foreign

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 Jan 2022 07:49:58 +0100

lablgtk-extras (1.6-2) unstable; urgency=medium

  * Build without lablgtksourceview2 (Closes: #967041)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Aug 2020 16:51:22 +0200

lablgtk-extras (1.6-1) unstable; urgency=medium

  * New upstream release (Closes: #912093)
  * Update Vcs-*
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2020 09:42:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: lablgtk-extras
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
- dh-ocaml (>= 0.9),
- liblablgtk2-ocaml-dev (>= 2.16.0+dfsg-1~exp3),
- liblablgtksourceview2-ocaml-dev,
+ debhelper-compat (= 13),
+ dh-ocaml,
+ liblablgtk2-ocaml-dev,
  libconfig-file-ocaml-dev,
  libxmlm-ocaml-dev,
  camlp4,
- ocaml-findlib (>= 1.4),
- ocaml-nox (>= 4)
-Standards-Version: 3.9.2
+ ocaml-findlib,
+ ocaml
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://gtk-extras.forge.ocamlcore.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lablgtk-extras.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lablgtk-extras.git
+Homepage: https://github.com/zoggy/lablgtk-extras
+Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk-extras
+Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk-extras.git
 
 Package: liblablgtk-extras-ocaml-dev
 Architecture: any
@@ -43,6 +42,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: collection of modules for OCaml/LablGtk2 applications (documentation)
  Lablgtk-extras is a collection of libraries and modules useful when
  developing OCaml/LablGtk2 applications. Most of the libraries come

=== debian/watch ===
version=4
https://github.com/zoggy/lablgtk-extras/releases .*/release-(.*)\.tar\.gz
